> ## Documentation Index
> Fetch the complete documentation index at: https://docs.matia.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update integration



## OpenAPI

````yaml PATCH /integrations/{id}
openapi: 3.0.1
info:
  title: OpenAPI Matia
  description: Matia API using the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.matia.io/v1
security:
  - ApiKeyAuth: []
paths:
  /integrations/{id}:
    patch:
      summary: Update integration
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateIntegrationRequest'
      responses:
        '200':
          description: Integration updated successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UpdateIntegrationApiResponse'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    UpdateIntegrationRequest:
      type: object
      properties:
        paused:
          type: boolean
          description: Indicates whether the integration is paused or not
    UpdateIntegrationApiResponse:
      type: object
      properties:
        code:
          type: string
        message:
          type: string
        data:
          type: object
          properties:
            paused:
              type: boolean
    Error:
      required:
        - error
        - message
      type: object
      properties:
        code:
          type: string
        message:
          type: string
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````